cancel
Showing results for 
Search instead for 
Did you mean: 
Data Engineering
Join discussions on data engineering best practices, architectures, and optimization strategies within the Databricks Community. Exchange insights and solutions with fellow data engineers.
cancel
Showing results for 
Search instead for 
Did you mean: 

Graphframes not importing on Databricks 9.1 LTS ML

JonHMDavis
New Contributor II

Is Graphframes for python meant to be installed by default on Databricks 9.1 LTS ML? Previously I was running the attached python command on 7.3 LTS ML with no issue, however now I am getting "no module named graphframes" when trying to import the package, but I thought this came pre-installed with 9.1 LTS ML.

1 ACCEPTED SOLUTION

Accepted Solutions

Kaniz
Community Manager
Community Manager

Hi @Jonathan Davis​,

Note:-By default, "graphframes" is not installed on the databricks.

You need to install the packages explicitly.

  • You can install the package using pip cmdlets.
  • You can use the below command to install any external package.

%sh /databricks/python3/bin/pip install <packagename>

Here is your case:-

%sh  /databricks/python3/bin/pip install graphframes

Screenshot 2021-12-10 at 2.40.42 PM 

View solution in original post

5 REPLIES 5

Kaniz
Community Manager
Community Manager

Hi @ JonHMDavis! My name is Kaniz, and I'm the technical moderator here. Great to meet you, and thanks for your question! Let's see if your peers in the community have an answer to your question first. Or else I will get back to you soon. Thanks.

Kaniz
Community Manager
Community Manager

Hi @Jonathan Davis​,

Note:-By default, "graphframes" is not installed on the databricks.

You need to install the packages explicitly.

  • You can install the package using pip cmdlets.
  • You can use the below command to install any external package.

%sh /databricks/python3/bin/pip install <packagename>

Here is your case:-

%sh  /databricks/python3/bin/pip install graphframes

Screenshot 2021-12-10 at 2.40.42 PM 

JonHMDavis
New Contributor II

Thank you @Kaniz Fatma​  , I will do that. I was just asking as it states here that graphframes comes pre-installed: https://docs.databricks.com/spark/latest/graph-analysis/graphframes/index.html

Kaniz
Community Manager
Community Manager

Hi @Jonathan Davis​ , By default, "graphframes" is not installed on the databricks.

-werners-
Esteemed Contributor III

Hm I thought the same thing as the docs state "The GraphFrames package is included in Databricks Runtime for Machine Learning".

But that could have changed...

Join 100K+ Data Experts: Register Now & Grow with Us!

Excited to expand your horizons with us? Click here to Register and begin your journey to success!

Already a member? Login and join your local regional user group! If there isn’t one near you, fill out this form and we’ll create one for you to join!